
I had fallen backward off a loading dock, striking my head on the concrete below. The first thing I remember is being in a tunnel and looking out of a round window or opening. I could see my husband holding me and telling me not to go, to stay, and to come back. I didn't feel any pain. I never turned around as I kept looking through this window. I could see myself lying there. I remember thinking that I needed to go back because I couldn't leave my husband. I also remember thinking that I had to make sure that I could move my fingers and toes first to make sure I wasn't paralyzed. When I could move them, I was instantly drawn back into my body. Then, I felt the intense pain. While I was in this tunnel, I felt at peace and yet scared at the same time. My husband told me later that my eyes were open in a dead stare with no blinking, as if I was dead. I also remember looking through the window and everything was in black, white, and gray tones. There was no color. I try to make sense of all of this and all I can say is that I truly had died and was gone for a short bit.
